package com.enterprise.manage.common.web.response.module;

/**
 * Result Tree (前端树封装)
 *
 * @author PeiZhi Guo
 * 2021-2-18 15:50
 */
public class ResultTree {

    /**
     * 状态信息
     */
    private Status status = new Status();

    /**
     * 返回数据
     */
    private Object data;

    /**
     * 所需内部类
     */
    public class Status {

        private Integer code = 200;

        private String message = "默认";

        public Integer getCode() {
            return code;
        }

        public void setCode(Integer code) {
            this.code = code;
        }

        public String getMessage() {
            return message;
        }

        public void setMessage(String message) {
            this.message = message;
        }
    }

    public Status getStatus() {
        return status;
    }

    public void setStatus(Status status) {
        this.status = status;
    }

    public Object getData() {
        return data;
    }

    public void setData(Object data) {
        this.data = data;
    }
}
